require "spec_helper"

describe Lita::Handlers::Deuce, lita_handler: true do
  describe 'routing' do
    # whitespace ok
    it { is_expected.to route('Lita deuce 2') }
    it { is_expected.to route('Lita deuce 22') }

    # mixed casing ok
    it { is_expected.to route('Lita deuCE 3') }

    # ignore if not integers
    it { is_expected.to_not route('Lita deuce two') }
    it { is_expected.to_not route('Lita deuce 343e') }
  end

  describe ':double_number' do
    let(:n) { rand(1.100) }

    it 'returns double the input' do
      actual = subject.double_number n
      expected = n * 2

      expect(actual).to eq(expected)
    end
  end

  it "doubles numbers when asked" do
    send_message 'lita deuce 2'
    expect(replies.last).to eq('2 + 2 = 4')
  end
end
